カスタムドメイン

GET https://u.page/api/domains/available
curl --request GET \
--url 'https://u.page/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 検索文字列
search_by オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 何のフィールドで検索していますか。許可される値はhostです。
datetime_field オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 許可される値: datetime, last_datetime
datetime_start オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 結果を並べ替えるフィールドは何ですか。許可される値はdomain_id, datetime, last_datetime, hostです。
order_type オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 結果の順序。許可される値は、昇順の ASC と降順の DESC です。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果の数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": 1,
            "scheme": "Example",
            "host": "Example",
            "url": "https://example.com/",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-12 06:09:05"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://u.page/api/domains/available?page=1",
        "last": "https://u.page/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://u.page/api/domains/available?page=1"
    }
}
GET https://u.page/api/domains/
curl --request GET \
--url 'https://u.page/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 検索文字列
search_by オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 何のフィールドで検索していますか。許可される値はhostです。
is_enabled オプション ブール値
datetime_field オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 許可される値: datetime, last_datetime
datetime_start オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 結果を並べ替えるフィールドは何ですか。許可される値はdomain_id, datetime, last_datetime, hostです。
order_type オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 結果の順序。許可される値は、昇順の ASC と降順の DESC です。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果の数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "scheme": "Example",
            "host": "Example",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-12 06:09:05"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://u.page/api/domains?page=1",
        "last": "https://u.page/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://u.page/api/domains?page=1"
    }
}
GET https://u.page/api/domains/{domain_id}
curl --request GET \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-12 06:09:05"
    }
}
POST https://u.page/api/domains
パラメータ 詳細 説明
host 必要 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
custom_index_url オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
custom_not_found_url オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
scheme オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
curl --request POST \
--url 'https://u.page/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-12 06:09:05"
    }
}
POST https://u.page/api/domains/{domain_id}
パラメータ 詳細 説明
host オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
custom_index_url オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
custom_not_found_url オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
scheme オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 -
curl --request POST \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-12 06:09:05"
    }
}
DELETE https://u.page/api/domains/{domain_id}
curl --request DELETE \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \